CreateConfigDetails

class oci.apm_config.models.CreateConfigDetails(**kwargs)

Bases: object

The request body used to create new configuration items. It must specify the configuration type of the item, as well as the actual data to populate the item with.

Attributes:

CONFIG_TYPE_AGENT

A constant which can be used with the config_type property of a CreateConfigDetails.

CONFIG_TYPE_APDEX

A constant which can be used with the config_type property of a CreateConfigDetails.

CONFIG_TYPE_MACS_APM_EXTENSION

A constant which can be used with the config_type property of a CreateConfigDetails.

CONFIG_TYPE_METRIC_GROUP

A constant which can be used with the config_type property of a CreateConfigDetails.

CONFIG_TYPE_OPTIONS

A constant which can be used with the config_type property of a CreateConfigDetails.

CONFIG_TYPE_SPAN_FILTER

A constant which can be used with the config_type property of a CreateConfigDetails.

config_type

[Required] Gets the config_type of this CreateConfigDetails.

defined_tags

Gets the defined_tags of this CreateConfigDetails.

freeform_tags

Gets the freeform_tags of this CreateConfigDetails.

Methods:

__init__(**kwargs)

Initializes a new CreateConfigDetails object with values from keyword arguments.

get_subtype(object_dictionary)

Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.

CONFIG_TYPE_AGENT = 'AGENT'

A constant which can be used with the config_type property of a CreateConfigDetails. This constant has a value of “AGENT”

CONFIG_TYPE_APDEX = 'APDEX'

A constant which can be used with the config_type property of a CreateConfigDetails. This constant has a value of “APDEX”

CONFIG_TYPE_MACS_APM_EXTENSION = 'MACS_APM_EXTENSION'

A constant which can be used with the config_type property of a CreateConfigDetails. This constant has a value of “MACS_APM_EXTENSION”

CONFIG_TYPE_METRIC_GROUP = 'METRIC_GROUP'

A constant which can be used with the config_type property of a CreateConfigDetails. This constant has a value of “METRIC_GROUP”

CONFIG_TYPE_OPTIONS = 'OPTIONS'

A constant which can be used with the config_type property of a CreateConfigDetails. This constant has a value of “OPTIONS”

CONFIG_TYPE_SPAN_FILTER = 'SPAN_FILTER'

A constant which can be used with the config_type property of a CreateConfigDetails. This constant has a value of “SPAN_FILTER”

__init__(**kwargs)

Initializes a new CreateConfigDetails object with values from keyword arguments. This class has the following subclasses and if you are using this class as input to a service operations then you should favor using a subclass over the base class:

The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • config_type (str) – The value to assign to the config_type property of this CreateConfigDetails. Allowed values for this property are: “SPAN_FILTER”, “METRIC_GROUP”, “APDEX”, “OPTIONS”, “AGENT”, “MACS_APM_EXTENSION”

  • freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this CreateConfigDetails.

  • defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this CreateConfigDetails.

property config_type

[Required] Gets the config_type of this CreateConfigDetails. The type of configuration item.

Allowed values for this property are: “SPAN_FILTER”, “METRIC_GROUP”, “APDEX”, “OPTIONS”, “AGENT”, “MACS_APM_EXTENSION”

Returns

The config_type of this CreateConfigDetails.

Return type

str

property defined_tags

Gets the defined_tags of this CreateConfigDetails. Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}}

Returns

The defined_tags of this CreateConfigDetails.

Return type

dict(str, dict(str, object))

property freeform_tags

Gets the freeform_tags of this CreateConfigDetails. Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”}

Returns

The freeform_tags of this CreateConfigDetails.

Return type

dict(str, str)

static get_subtype(object_dictionary)

Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.